env = {
    "HOST_PLATFORM": "amd64",
    "TARGET_TOOLS": "/data/pyqt/bin",
    "NATIVE_TOOLS": "/home/davidb/tools",
    "TARGET_ARCH": "powerpc",
    "TARGET_PLATFORM": "powerpc-mucross-linux",
    "TARGET_PLATFORM_CC": "powerpc-mucross-linux-gcc",
    "TARGET_PLATFORM_CXX": "powerpc-mucross-linux-g++",
    "TARGET_PLATFORM_LDSHARED": "powerpc-mucross-linux-g++",
    "TARGET_PLATFORM_SPEC": "powerpc-mucross-linux-g++",
    "TARGETDIR": "/data/pyqt",
    #"DESTDIR": "/home/build/rootfs/",
    "HOST_COMPILERS": "4",
    "TARGET_COMPILERS": "4"
    }

# Medium ARM build:
qt_options = ["-opensource",
              "-release",
              "-xplatform qws/" + env["TARGET_PLATFORM_SPEC"],
              "-embedded powerpc",
              "-little-endian",
              "-no-qvfb",
              "-depths 16,32",
              "-qt-libjpeg",
              "-qt-libmng",
              "-qt-libpng",
              "-qt-zlib",
              "-qt-mouse-linuxinput",
              "-no-accessibility",
              "-no-qt3support",
              "-no-script",
              "-no-scripttools",
              "-no-webkit",
              "-no-declarative",
              "-debug",
              "-ldl", "-lrt"]

qt_configuration_profile = None

extra_qt_configuration = ["QT_NO_RAWFONT",
    "QT_NO_ACCESSIBILITY",
    "QT_NO_DIRMODEL",
    "QT_NO_FILEDIALOG",
    "QT_NO_FILESYSTEMMODEL",
    "QT_NO_FILESYSTEMWATCHER",
    "QT_NO_GRAPHICSVIEW",
    "QT_NO_GRAPHICSSVGITEM",
    "QT_NO_PRINTDIALOG",
    "QT_NO_PRINTPREVIEWDIALOG",
    "QT_NO_PRINTPREVIEWWIDGET",
    "QT_NO_SESSIONMANAGER",
    "QT_NO_OPENSSL"]

not_extra_qt_configuration = [
    "QT_NO_ACCESSIBILITY",
    "QT_NO_ANIMATION",
    "QT_NO_BEARERMANAGEMENT",
    "QT_NO_BIG_CODECS",
    "QT_NO_BUTTONGROUP",
    "QT_NO_COLORDIALOG",
    "QT_NO_COLUMNVIEW",
    "QT_NO_CSSPARSER",
    "QT_NO_CURSOR",
    "QT_NO_DATAWIDGETMAPPER",
    "QT_NO_DBUS",
    "QT_NO_DESKTOPSERVICES",
    "QT_NO_DIAL",
    "QT_NO_DOCKWIDGET",
    "QT_NO_DRAGANDDROP",
    "QT_NO_ERRORMESSAGE",
    "QT_NO_FILESYSTEMWATCHER",
    "QT_NO_FONTCOMBOBOX",
    "QT_NO_FONTDIALOG",
    "QT_NO_FSCOMPLETER",
    "QT_NO_FTP",
    "QT_NO_GESTURES",
    "QT_NO_GRAPHICSEFFECT",
    "QT_NO_GRAPHICSSVGITEM",
    "QT_NO_GRAPHICSVIEW",
    "QT_NO_GROUPBOX",
    "QT_NO_HTTP",
    "QT_NO_IDENTITYPROXYMODEL",
    "QT_NO_IM",
    "QT_NO_IMAGEFORMATPLUGIN",
    "QT_NO_IMAGEFORMAT_BMP",
    "QT_NO_IMAGE_HEURISTIC_MASK",
    "QT_NO_IMAGE_TEXT",
    "QT_NO_INPUTDIALOG",
    "QT_NO_ITEMVIEWS",
    "QT_NO_LCDNUMBER",
    "QT_NO_LIBRARY",
    "QT_NO_MAINWINDOW",
    "QT_NO_MDIAREA",
    "QT_NO_MENU",
    "QT_NO_MENUBAR",
    "QT_NO_MESSAGEBOX",
    "QT_NO_MOVIE",
    "QT_NO_NETWORKDISKCACHE",
    "QT_NO_NETWORKPROXY",
    "QT_NO_OPENSSL",
    "QT_NO_PICTURE",
    "QT_NO_PRINTDIALOG",
    "QT_NO_PRINTER",
    "QT_NO_PRINTPREVIEWDIALOG",
    "QT_NO_PRINTPREVIEWWIDGET",
    "QT_NO_PROGRESSDIALOG",
    "QT_NO_PROXYMODEL",
    "QT_NO_QWS_CURSOR",
    "QT_NO_QWS_INPUTMETHODS",
    "QT_NO_RAWFONT",
    "QT_NO_RUBBERBAND",
    "QT_NO_SESSIONMANAGER",
    "QT_NO_SHAREDMEMORY",
    "QT_NO_SIGNALMAPPER",
    "QT_NO_SIZEGRIP",
    "QT_NO_SOUND",
    "QT_NO_SPLASHSCREEN",
    "QT_NO_SPLITTER",
    "QT_NO_STANDARDITEMMODEL",
    "QT_NO_STATEMACHINE",
    "QT_NO_STATUSBAR",
    "QT_NO_STATUSTIP",
    "QT_NO_STRINGLISTMODEL",
    "QT_NO_STYLE_STYLESHEET",
    "QT_NO_SVGGENERATOR",
    "QT_NO_SYSTEMSEMAPHORE",
    "QT_NO_SYSTEMTRAYICON",
    "QT_NO_TABBAR",
    "QT_NO_TABLETEVENT",
    "QT_NO_TEXTBROWSER",
    "QT_NO_TEXTHTMLPARSER",
    "QT_NO_TEXTODFWRITER",
    "QT_NO_TOOLBAR",
    "QT_NO_TOOLBOX",
    "QT_NO_TOOLTIP",
    "QT_NO_UNDOCOMMAND",
    "QT_NO_UNDOGROUP",
    "QT_NO_UNDOSTACK",
    "QT_NO_WHATSTHIS",
    "QT_NO_WHEELEVENT",
    "QT_NO_WIZARD",
    "QT_NO_WORKSPACE"
    "QT_QWS_SCREEN_COORDINATES",
    ]
sip_target_platform = env["TARGET_PLATFORM_SPEC"]

extra_pyqt_configuration = ["PyQt_qreal_double"]
